#ifndef __COMMANDS_H__
#define __COMMANDS_H__

#include "cdtool.h"
#include "hardware.h"

/************************************************************************/
/* 
 * Header:	commands.h
 * Purpose:     to define commandd functions
 * Language/Compiler/O/S:   GCC 2.7.2
 * Author:      Wade Hampton
 * Date:        12/23/97
 * Revision History:
 * [from RCS]
 *
 * $Log: commands.h,v $
 * Revision 1.1  1997/12/24 15:43:46  wadeh
 * Initial revision
 *
 *
 * Notes:
 * 1) 
 *----------------------------------------------------------------------*/
/* TYPES- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* INCLUDE FILES- - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* CONSTANTS- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* LOCAL DATA - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* EXTERNAL PROCEDURES- - - - - - - - - - - - - - - - - - - - - - - - - */
/* EXTERNAL DATA- - - - - - - - - - - - - - - - - - - - - - - - - - - - */
/* PROTOTYPES - - - - - - - - - - - - - - - - - - - - - - - - - - - - - */
int do_play(cdtool_t *cdt, int cdfd, int trk0, int trk1, cdhw_t *hw);
int do_pause(cdtool_t *cdt, int cdfd);
int do_stop(cdtool_t *cdt, int cdfd, int iCDNum);
int do_eject(cdtool_t *cdt, int cdfd);
int do_close(cdtool_t *cdt, int cdfd);
int do_reset(cdtool_t *cdt, int cdfd);
int do_volume(cdtool_t *cdt, int cdfd, int volume);
/*
 * Copyright (C) 1997, 1998 Wade Hampton
 */
/************************************************************************/
#endif


