#ifndef __COMMON_H
#define __COMMON_H

#include "config.h"

#ifdef HAVE_MNTENT_H
# include <mntent.h>
#elif defined(HAVE_SYS_MNTENT_H)
# include <sys/mntent.h>
#else
# error found no mntent.h
#endif

#ifdef HAVE_FCNTL_H
# include <fcntl.h>
#elif defined(HAVE_SYS_FCNTL_H)
# include <sys/fcntl.h>
#else
# error found no fcntl.h
#endif

#ifdef HAVE_IOCTL_H
# include <ioctl.h>
#elif defined(HAVE_SYS_IOCTL_H)
# include <sys/ioctl.h>
#else
# error found no ioctl.h
#endif

#ifdef HAVE_LINUX_CDROM_H
# include <linux/cdrom.h>
#elif defined HAVE_SYS_CDIO_H
# include <sys/cdio.h>
#else
# error found no cdrom.h or cdio.h
#endif

#endif
